# ai.card

atprotoベースのカードゲームシステム

## 概要

ai.cardは、ユーザーがデータを所有する分散型カードゲームです。
- atprotoアカウントと連携
- データはユーザーのPDSに保存
- yui-systemによるuniqueカード実装
- iOS/Web/APIの統合プロジェクト

## 技術スタック

- **API**: Python/FastAPI + fastapi_mcp
- **Web**: モダンJavaScript framework
- **iOS**: Swift/SwiftUI
- **データストア**: atproto collection + ローカルキャッシュ
- **認証**: atproto OAuth

## プロジェクト構造

```
ai.card/
├── api/          # FastAPI backend
├── web/          # Web frontend
├── ios/          # iOS app
├── docs/         # Documentation
└── scripts/      # Utility scripts
```

## 機能

- カードガチャシステム
- キラカード（0.1%）
- uniqueカード（0.0001% - 隠し機能）
- atprotoデータ同期
- 改ざん防止機構

## セットアップ

### API
```bash
cd api
pip install -r requirements.txt
uvicorn app.main:app --reload
```

### Web
```bash
cd web
npm install
npm run dev
```

## 開発状況

- [ ] API基盤
- [ ] カードデータモデル
- [ ] ガチャシステム
- [ ] atproto連携
- [ ] Web UI
- [ ] iOS app