import axios from 'axios';
import { CardDrawResult } from '../types/card';

const API_BASE = '/api/v1';

const api = axios.create({
  baseURL: API_BASE,
  headers: {
    'Content-Type': 'application/json',
  },
});

export const cardApi = {
  drawCard: async (userDid: string, isPaid: boolean = false): Promise<CardDrawResult> => {
    const response = await api.post('/cards/draw', {
      user_did: userDid,
      is_paid: isPaid,
    });
    return response.data;
  },

  getUserCards: async (userDid: string) => {
    const response = await api.get(`/cards/user/${userDid}`);
    return response.data;
  },

  getUniqueCards: async () => {
    const response = await api.get('/cards/unique');
    return response.data;
  },
};